Package org.jboss.resteasy.resteasy_jaxrs.i18n

## Interface Messages

- All Known Implementing Classes:
    `Messages_$bundle`

      @MessageBundle(projectCode="RESTEASY")
      public interface Messages

  Version:
    $Revision: 1.1 $ Copyright Aug 13, 2015
  Author:
    Ron Sigal

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `BASE` |
    `static int` | `BASE_ASYNC` |
    `static int` | `BASE_VALIDATOR_11` |
    `static Messages` | `MESSAGES` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `alreadyCanceled()` |
    `String` | `alreadyDone()` |
    `String` | `alreadySuspended()` |
    `String` | `alwaysMarkedAtIndex0()` |
    `String` | `ambiguousInheritedAnnotations​(Method method)` |
    `String` | `annotationsParamNull()` |
    `String` | `applicationParamNull()` |
    `String` | `asyncServletIsRequired()` |
    `String` | `attemptingToCast​(URL from, URL to)` |
    `String` | `badArguments​(String methodName)` |
    `String` | `badBase64Character​(int c, int pos)` |
    `String` | `base64InputNotProperlyPadded()` |
    `String` | `base64StringMustHaveFourCharacters​(int len)` |
    `String` | `baseURINotSetForClientProxy()` |
    `String` | `cacheControlMaxAgeHeader​(String value)` |
    `String` | `cacheControlSMaxAgeHeader​(String value)` |
    `String` | `cacheControlValueNull()` |
    `String` | `callbackWasNull()` |
    `String` | `cancel()` |
    `String` | `cancellingWith503()` |
    `String` | `cannotConsumeContentType()` |
    `IllegalArgumentException` | `cannotConvertParameter​(Object value, Class<?> type, String name)` |
    `String` | `cannotDecodeNullSourceArray()` |
    `String` | `cannotHaveLengthOffset​(int len)` |
    `String` | `cannotHaveNegativeOffset​(int off)` |
    `String` | `cannotHaveOffset​(int off, int len, int srcLen)` |
    `String` | `cannotInjectAsynchronousResponse()` |
    `String` | `cannotInjectIntoForm()` |
    `String` | `cannotSendFormParametersAndEntity()` |
    `String` | `cannotSerializeNullArray()` |
    `String` | `cannotSerializeNullObject()` |
    `String` | `canOnlySetLinkHeaderRelOrTitle​(String className, String methodName)` |
    `String` | `cantSetMethod()` |
    `String` | `cantSetURI()` |
    `String` | `classIsNotRootResource​(String className)` |
    `String` | `classMustBeAnnotatedWithPath()` |
    `String` | `clientRequestDoesntSupportClonable()` |
    `String` | `clientResponseFailureMediaType​(javax.ws.rs.core.MediaType mediaType, Type type)` |
    `String` | `clientResponseFailureStatus​(int status, javax.ws.rs.core.Response.Status responseStatus)` |
    `String` | `constructorMappingInvalid()` |
    `String` | `controlCharacterInCookieValue()` |
    `String` | `cookieHeaderValueNull()` |
    `String` | `couldNotCreateEntityFactory​(String className)` |
    `String` | `couldNotCreateEntityFactoryMessage​(String className, String message)` |
    `String` | `couldNotCreateURI​(String uri, String className, String methodName)` |
    `String` | `couldNotFindClassJndi​(String className)` |
    `String` | `couldNotFindConstructor​(String className)` |
    `String` | `couldNotFindGetterForParam​(String param)` |
    `String` | `couldNotFindMessageBodyReader​(Type type, javax.ws.rs.core.MediaType mediaType)` |
    `String` | `couldNotFindMethod​(Method method)` |
    `String` | `couldNotFindResourceForFullPath​(URI uri)` |
    `String` | `couldNotFindWriterForContentType​(javax.ws.rs.core.MediaType mediaType, String className)` |
    `String` | `couldNotGetAValue​(String param)` |
    `String` | `couldNotIntrospectClass​(String className)` |
    `String` | `couldNotMatchUpLoggerTypeImplementation​(Class<?> loggerType)` |
    `String` | `couldNotProcessMethod​(Method method)` |
    `String` | `couldNotReadType​(Type type, javax.ws.rs.core.MediaType mediaType)` |
    `String` | `dataToEncodeNull()` |
    `String` | `dateInstancesNotSupported()` |
    `String` | `dateNull()` |
    `String` | `dateValueNull()` |
    `String` | `destinationArrayCannotStoreThreeBytes​(int len, int off)` |
    `String` | `destinationArrayNull()` |
    `String` | `emptyFieldInHeader​(String header)` |
    `String` | `emptyHostName()` |
    `String` | `entityAlreadyRead​(Class<?> clazz)` |
    `String` | `entityNotBackedByInputStream()` |
    `String` | `entityNotOfUnderstoodType()` |
    `String` | `entityTagValueNull()` |
    `String` | `errorCreatingArray​(String s)` |
    `String` | `errorInBase64Stream()` |
    `String` | `eTagParamNull()` |
    `String` | `eventSourceIsNotReadyForOpen()` |
    `String` | `excededMaximumForwards​(String uri)` |
    `String` | `exceptionHasInvalidFormat​(String line)` |
    `IllegalStateException` | `executorShutdown()` |
    `String` | `expectedArray​(String className)` |
    `String` | `expectedExcapedCharacter​(int n)` |
    `String` | `expectedStreamModeGeneralOrRaw​(Stream.MODE mode)` |
    `String` | `expectedStreamOrSseMediaType()` |
    `String` | `expectedStringOrMediaType​(Object o)` |
    `String` | `failedProcessingArguments​(String constructor)` |
    `String` | `failedToConstruct​(String constructor)` |
    `String` | `failedToCreateSseEventOutput()` |
    `String` | `failedToCreateUri​(String buf)` |
    `String` | `failedToParseCookie​(String value)` |
    `String` | `failedToReadData()` |
    `String` | `failedToWriteDataToInboudEvent()` |
    `String` | `failureParsingMediaType​(String type)` |
    `String` | `fileTooBig​(long len)` |
    `String` | `garbageAfterQuotedString​(String header)` |
    `String` | `getRequestCannotHaveBody()` |
    `String` | `gzipExceedsMaxSize​(int size)` |
    `String` | `hasNoStringConstructor​(String className)` |
    `String` | `illegalHexadecimalCharacter​(char ch, int index)` |
    `String` | `illegalResponseMediaType​(String mediaType)` |
    `String` | `illegalToInjectCookieParam()` |
    `String` | `illegalToInjectFormParam()` |
    `String` | `illegalToInjectHeaderParam()` |
    `String` | `illegalToInjectMatrixParam()` |
    `String` | `illegalToInjectMessageBody​(AccessibleObject target)` |
    `String` | `illegalToInjectNonInterfaceType()` |
    `String` | `illegalToInjectPathParam()` |
    `String` | `illegalToInjectQueryParam()` |
    `String` | `illegalUriTemplate​(CharSequence template)` |
    `String` | `improperlyPaddedBase64Input()` |
    `String` | `incorrectTypeParameterClientExceptionMapper()` |
    `String` | `incorrectTypeParameterExceptionMapper()` |
    `String` | `inputStreamEmpty()` |
    `String` | `inputStreamWasEmpty()` |
    `String` | `inputStringNull()` |
    `String` | `interceptorClassMustBeAnnotated()` |
    `String` | `interceptorClassMustBeAnnotatedWithClass​(Class<?> clazz)` |
    `String` | `interceptorNullFromClass​(String className)` |
    `String` | `invalidCharacterInBase64Data()` |
    `String` | `invalidEscapeCharacterInCookieValue()` |
    `String` | `invalidHost()` |
    `String` | `invalidPort()` |
    `String` | `isNotInitialRequest​(String path)` |
    `String` | `jndiComponentResourceNotSetCorrectly()` |
    `String` | `keyCouldNotBeParsed​(String key)` |
    `String` | `lastModifiedParamNull()` |
    `String` | `localeValueNull()` |
    `String` | `malformedMediaType​(String header)` |
    `String` | `malformedParameter​(String parameter)` |
    `String` | `malformedParameters​(String header)` |
    `String` | `malformedQualityValue()` |
    `String` | `mapKeyNull()` |
    `String` | `mapValueNull()` |
    `String` | `marshalledEntityMustHaveTypeInfo()` |
    `String` | `mediaTypeQGreaterThan1​(String mediaType)` |
    `String` | `mediaTypeQMustBeFloat​(javax.ws.rs.core.MediaType mediaType)` |
    `String` | `mediaTypeQWeightedLanguageMustBeFloat​(String lang)` |
    `String` | `mediaTypeValueNull()` |
    `String` | `methodNotAnnotatedWithPath()` |
    `String` | `methodNull()` |
    `String` | `missingTypeParameter()` |
    `String` | `multipleMethodsMatchFailFast​(String request, String[] methods)` |
    `String` | `mustDefineConsumes()` |
    `String` | `mustSetEitherPortOrSSLPort()` |
    `String` | `mustSetLinkHeaderRelOrTitle​(String className, String methodName)` |
    `String` | `mustSetPort()` |
    `String` | `mustUseOneHttpMethod​(String methodName)` |
    `String` | `nameParameterNull()` |
    `String` | `nameParamIsNull()` |
    `String` | `nameParamWasNull()` |
    `String` | `newCookieValueNull()` |
    `String` | `noContent()` |
    `String` | `noContentContentLength0()` |
    `String` | `noLongerASupportedContextParam​(String paramName)` |
    `String` | `noMatchForAcceptHeader()` |
    `String` | `noOutputStreamAllowed()` |
    `String` | `noPublicPathAnnotatedMethod​(String resource, String method)` |
    `String` | `noResourceMethodFoundForHttpMethod​(String httpMethod)` |
    `String` | `noResourceMethodFoundForOptions()` |
    `String` | `notAllowedToReflectOnMethod​(String methodName)` |
    `String` | `notEnoughPathParameters()` |
    `String` | `notFoundMBR​(String className)` |
    `String` | `notFoundMBW​(String className)` |
    `String` | `notValidInjectableType​(String typeName)` |
    `String` | `noTypeInformationForEntity()` |
    `String` | `nullSubresource​(URI uri)` |
    `String` | `nullValue()` |
    `String` | `nullValueSetToCreateOutboundSseEvent​(String field)` |
    `String` | `numberOfMatchedSegments()` |
    `String` | `oddNumberOfCharacters()` |
    `String` | `onComplete()` |
    `String` | `onTimeout()` |
    `String` | `originNotAllowed​(String origin)` |
    `String` | `paramNull()` |
    `String` | `passedInValueNull()` |
    `String` | `pathNull()` |
    `String` | `pathParameterNotProvided​(String param)` |
    `String` | `patternNull()` |
    `NoSuchElementException` | `propertyNotFound​(String name)` |
    `String` | `quotedStringIsNotClosed​(String header)` |
    `String` | `qValueCannotBeGreaterThan1​(String lang)` |
    `String` | `readEventException()` |
    `String` | `registeringContextResolverAsLambda()` |
    `String` | `relParamNull()` |
    `String` | `removingHeaderIllegal()` |
    `String` | `requestMediaTypeNotUrlencoded()` |
    `String` | `requestNotSuspended()` |
    `String` | `requestWasAlreadyExecuted()` |
    `String` | `resourceNull()` |
    `String` | `responseIsClosed()` |
    `String` | `responseIsCommitted()` |
    `String` | `scheduledTimeout()` |
    `String` | `schedulingTimeout()` |
    `String` | `schemeSpecificPartNull()` |
    `String` | `segmentNull()` |
    `String` | `segmentsParameterNull()` |
    `String` | `shouldBeUnreachable()` |
    `String` | `sourceArrayCannotProcessBytes​(int srcLen, int off, int len)` |
    `String` | `sourceArrayCannotProcessFourBytes​(int srcLen, int off)` |
    `String` | `sourceArrayNull()` |
    `String` | `sseBroadcasterIsClosed()` |
    `String` | `sseEventSinkIsClosed()` |
    `String` | `streamIsClosed()` |
    `String` | `streamWrappedBySignature()` |
    `String` | `subresourceHasNoJaxRsAnnotations​(String className)` |
    `String` | `tailingGarbage​(String header)` |
    `String` | `tClassParameterNull()` |
    `String` | `templateParameterNull​(String param)` |
    `String` | `templateValuesParamNull()` |
    `String` | `titleParamNull()` |
    `String` | `twoMethodsSameName​(String method)` |
    `String` | `typeParamNull()` |
    `String` | `unableToCreateURI​(String buf)` |
    `String` | `unableToDecodeQueryString()` |
    `String` | `unableToDetermineBaseClass()` |
    `String` | `unableToExtractParameter​(String paramSignature, String strVal)` |
    `String` | `unableToFindConstructor​(String paramSignature, AccessibleObject target, String className)` |
    `String` | `unableToFindContextualData​(String className)` |
    `String` | `unableToFindInjectorFactory()` |
    `String` | `unableToFindJaxRsResource​(String path)` |
    `String` | `unableToFindPublicConstructorForClass​(String className)` |
    `String` | `unableToFindPublicConstructorForProvider​(String className)` |
    `String` | `unableToFindTypeArguments​(Class<?> clazz)` |
    `String` | `unableToInstantiateAsyncClientResponseProvider()` |
    `String` | `unableToInstantiateAsyncClientStreamProvider()` |
    `String` | `unableToInstantiateAsyncResponseProvider()` |
    `String` | `unableToInstantiateAsyncStreamProvider()` |
    `String` | `unableToInstantiateClientExceptionMapper()` |
    `String` | `unableToInstantiateContextInjector()` |
    `String` | `unableToInstantiateContextObject​(String key)` |
    `String` | `unableToInstantiateContextResolver()` |
    `String` | `unableToInstantiateExceptionMapper()` |
    `String` | `unableToInstantiateForm()` |
    `String` | `unableToInstantiateInjectorFactory()` |
    `String` | `unableToInstantiateMessageBodyReader()` |
    `String` | `unableToInstantiateMessageBodyWriter()` |
    `String` | `unableToParse​(String s)` |
    `String` | `unableToParseDate​(String dateValue)` |
    `String` | `unableToParseException()` |
    `String` | `unableToParseLinkHeaderNoEndToLink​(String value)` |
    `String` | `unableToParseLinkHeaderNoEndToParameter​(String value)` |
    `String` | `unableToParseLinkHeaderTooManyLinks​(String value)` |
    `String` | `unableToResolveTypeVariable()` |
    `String` | `unableToUnmarshalResponse​(String attributeExceptionsTo)` |
    `String` | `unexpectedNumberSubclass​(String classname)` |
    `String` | `unexpectedPathNode​(javax.validation.ElementKind kind)` |
    `String` | `unexpectedPathNodeViolation​(javax.validation.ElementKind kind)` |
    `String` | `unexpectedViolationType​(ConstraintType.Type type)` |
    `String` | `unknownInterceptorPrecedence​(String precedence)` |
    `String` | `unknownMediaTypeResponseEntity()` |
    `String` | `unknownObjectPassedAsConstraintViolation​(Object o)` |
    `String` | `unknownPathParam​(String paramName, String path)` |
    `String` | `unknownStateListener()` |
    `String` | `unsupportedCollectionType​(Class<?> clazz)` |
    `String` | `unsupportedParameter​(String parameter)` |
    `String` | `uriNull()` |
    `String` | `uriParamNull()` |
    `String` | `uriTemplateParameterNull()` |
    `String` | `uriValueNull()` |
    `String` | `userIsNotRegistered​(String user)` |
    `String` | `valueNull()` |
    `String` | `valueParamIsNull()` |
    `String` | `valueParamWasNull()` |
    `String` | `valuesParameterNull()` |
    `String` | `valuesParamIsNull()` |
    `String` | `valuesParamWasNull()` |
    `String` | `variantListMustNotBeZero()` |
    `String` | `webTargetIsNotSetForEventSource()` |
    `String` | `wrongPassword​(String user)` |

- - ### Field Detail

    - #### MESSAGES

          static final Messages MESSAGES

    - #### BASE

          static final int BASE

      See Also:
        Constant Field Values

    - #### BASE_ASYNC

          static final int BASE_ASYNC

      See Also:
        Constant Field Values

    - #### BASE_VALIDATOR_11

          static final int BASE_VALIDATOR_11

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### exceptionHasInvalidFormat

          @Message(id=8500,
                   value="ResteasyViolationException has invalid format: %s")
          String exceptionHasInvalidFormat​(String line)

    - #### unableToParseException

          @Message(id=8525,
                   value="Unable to parse ResteasyViolationException")
          String unableToParseException()

    - #### unexpectedPathNode

          @Message(id=8530,
                   value="unexpected path node type: %s")
          String unexpectedPathNode​(javax.validation.ElementKind kind)

    - #### unexpectedPathNodeViolation

          @Message(id=8535,
                   value="unexpected path node type in method violation: %s")
          String unexpectedPathNodeViolation​(javax.validation.ElementKind kind)

    - #### unexpectedViolationType

          @Message(id=8540,
                   value="unexpected violation type: %s")
          String unexpectedViolationType​(ConstraintType.Type type)

    - #### unknownObjectPassedAsConstraintViolation

          @Message(id=8545,
                   value="unknown object passed as constraint violation: %s")
          String unknownObjectPassedAsConstraintViolation​(Object o)

    - #### alreadyCanceled

          @Message(id=9500,
                   value="-- already canceled")
          String alreadyCanceled()

    - #### alreadyDone

          @Message(id=9505,
                   value="-- already done")
          String alreadyDone()

    - #### alreadySuspended

          @Message(id=9510,
                   value="Already suspended")
          String alreadySuspended()

    - #### cancel

          @Message(id=9515,
                   value="cancel()")
          String cancel()

    - #### cancellingWith503

          @Message(id=9520,
                   value="-- cancelling with 503")
          String cancellingWith503()

    - #### onComplete

          @Message(id=9525,
                   value="onComplete")
          String onComplete()

    - #### onTimeout

          @Message(id=9530,
                   value="onTimeout")
          String onTimeout()

    - #### requestNotSuspended

          @Message(id=9535,
                   value="Request not suspended")
          String requestNotSuspended()

    - #### scheduledTimeout

          @Message(id=9540,
                   value="scheduled timeout")
          String scheduledTimeout()

    - #### schedulingTimeout

          @Message(id=9545,
                   value="scheduling timeout")
          String schedulingTimeout()

    - #### alwaysMarkedAtIndex0

          @Message(id=3000,
                   value="SelfExpandingBufferredInputStream is always marked at index 0.")
          String alwaysMarkedAtIndex0()

    - #### ambiguousInheritedAnnotations

          @Message(id=3005,
                   value="Ambiguous inherited JAX-RS annotations applied to method: %s")
          String ambiguousInheritedAnnotations​(Method method)

    - #### annotationsParamNull

          @Message(id=3010,
                   value="annotations param was null")
          String annotationsParamNull()

    - #### applicationParamNull

          @Message(id=3015,
                   value="application param was null")
          String applicationParamNull()

    - #### attemptingToCast

          @Message(id=3017,
                   value="ClassCastException: attempting to cast {0} to {1}",
                   format=MESSAGE_FORMAT)
          String attemptingToCast​(URL from,
                                  URL to)

    - #### badArguments

          @Message(id=3020,
                   value="Bad arguments passed to %s")
          String badArguments​(String methodName)

    - #### badBase64Character

          @Message(id=3025,
                   value="Bad Base64 input character decimal {0} in array position {1}",
                   format=MESSAGE_FORMAT)
          String badBase64Character​(int c,
                                    int pos)

    - #### base64InputNotProperlyPadded

          @Message(id=3030,
                   value="Base64 input not properly padded.")
          String base64InputNotProperlyPadded()

    - #### base64StringMustHaveFourCharacters

          @Message(id=3035,
                   value="Base64-encoded string must have at least four characters, but length specified was %s")
          String base64StringMustHaveFourCharacters​(int len)

    - #### baseURINotSetForClientProxy

          @Message(id=3040,
                   value="You have not set a base URI for the client proxy")
          String baseURINotSetForClientProxy()

    - #### cacheControlMaxAgeHeader

          @Message(id=3045,
                   value="CacheControl max-age header does not have a value: %s.")
          String cacheControlMaxAgeHeader​(String value)

    - #### cacheControlSMaxAgeHeader

          @Message(id=3050,
                   value="CacheControl s-maxage header does not have a value: %s.")
          String cacheControlSMaxAgeHeader​(String value)

    - #### cacheControlValueNull

          @Message(id=3055,
                   value="Cache-Control value is null")
          String cacheControlValueNull()

    - #### callbackWasNull

          @Message(id=3060,
                   value="Callback was null")
          String callbackWasNull()

    - #### cannotConsumeContentType

          @Message(id=3065,
                   value="Cannot consume content type")
          String cannotConsumeContentType()

    - #### cannotDecodeNullSourceArray

          @Message(id=3070,
                   value="Cannot decode null source array.")
          String cannotDecodeNullSourceArray()

    - #### cannotHaveLengthOffset

          @Message(id=3075,
                   value="Cannot have length offset: %s")
          String cannotHaveLengthOffset​(int len)

    - #### cannotHaveNegativeOffset

          @Message(id=3080,
                   value="Cannot have negative offset: %s")
          String cannotHaveNegativeOffset​(int off)

    - #### cannotHaveOffset

          @Message(id=3085,
                   value="Cannot have offset of {0} and length of {1} with array of length {2}",
                   format=MESSAGE_FORMAT)
          String cannotHaveOffset​(int off,
                                  int len,
                                  int srcLen)

    - #### cannotInjectAsynchronousResponse

          @Message(id=3090,
                   value="You cannot inject AsynchronousResponse outside the scope of an HTTP request")
          String cannotInjectAsynchronousResponse()

    - #### cannotInjectIntoForm

          @Message(id=3095,
                   value="You cannot inject into a form outside the scope of an HTTP request")
          String cannotInjectIntoForm()

    - #### cannotSendFormParametersAndEntity

          @Message(id=3100,
                   value="You cannot send both form parameters and an entity body")
          String cannotSendFormParametersAndEntity()

    - #### cannotSerializeNullArray

          @Message(id=3105,
                   value="Cannot serialize a null array.")
          String cannotSerializeNullArray()

    - #### cannotSerializeNullObject

          @Message(id=3110,
                   value="Cannot serialize a null object.")
          String cannotSerializeNullObject()

    - #### canOnlySetLinkHeaderRelOrTitle

          @Message(id=3115,
                   value="You can only set one of LinkHeaderParam.rel() and LinkHeaderParam.title() for on {0}.{1}",
                   format=MESSAGE_FORMAT)
          String canOnlySetLinkHeaderRelOrTitle​(String className,
                                                String methodName)

    - #### cantSetMethod

          @Message(id=3120,
                   value="Can\'t set method after match")
          String cantSetMethod()

    - #### cantSetURI

          @Message(id=3125,
                   value="Can\'t set URI after match")
          String cantSetURI()

    - #### classIsNotRootResource

          @Message(id=3130,
                   value="Class is not a root resource.  It, or one of its interfaces must be annotated with @Path: %s implements: ")
          String classIsNotRootResource​(String className)

    - #### classMustBeAnnotatedWithPath

          @Message(id=3135,
                   value="Class must be annotated with @Path to invoke path(Class)")
          String classMustBeAnnotatedWithPath()

    - #### clientRequestDoesntSupportClonable

          @Message(id=3140,
                   value="ClientRequest doesn\'t implement Clonable.  Notify the RESTEasy staff right away.")
          String clientRequestDoesntSupportClonable()

    - #### clientResponseFailureMediaType

          @Message(id=3145,
                   value="Unable to find a MessageBodyReader of content-type {0} and type {1}",
                   format=MESSAGE_FORMAT)
          String clientResponseFailureMediaType​(javax.ws.rs.core.MediaType mediaType,
                                                Type type)

    - #### clientResponseFailureStatus

          @Message(id=3150,
                   value="Error status {0} {1} returned",
                   format=MESSAGE_FORMAT)
          String clientResponseFailureStatus​(int status,
                                             javax.ws.rs.core.Response.Status responseStatus)

    - #### constructorMappingInvalid

          @Message(id=3155,
                   value="Constructor arg paramMapping is invalid")
          String constructorMappingInvalid()

    - #### controlCharacterInCookieValue

          @Message(id=3160,
                   value="Control character in cookie value, consider BASE64 encoding your value")
          String controlCharacterInCookieValue()

    - #### cookieHeaderValueNull

          @Message(id=3165,
                   value="Cookie header value was null")
          String cookieHeaderValueNull()

    - #### couldNotCreateEntityFactory

          @Message(id=3170,
                   value="Could not create a default entity type factory of type {0}",
                   format=MESSAGE_FORMAT)
          String couldNotCreateEntityFactory​(String className)

    - #### couldNotCreateEntityFactoryMessage

          @Message(id=3175,
                   value="Could not create a default entity type factory of type {0}. {1}",
                   format=MESSAGE_FORMAT)
          String couldNotCreateEntityFactoryMessage​(String className,
                                                    String message)

    - #### couldNotCreateURI

          @Message(id=3180,
                   value="Could not create a URI for {0} in {1}.{2}",
                   format=MESSAGE_FORMAT)
          String couldNotCreateURI​(String uri,
                                   String className,
                                   String methodName)

    - #### couldNotFindClassJndi

          @Message(id=3185,
                   value="Could not find class %s provided to JNDI Component Resource")
          String couldNotFindClassJndi​(String className)

    - #### couldNotFindConstructor

          @Message(id=3190,
                   value="Could not find constructor for class: %s")
          String couldNotFindConstructor​(String className)

    - #### couldNotFindGetterForParam

          @Message(id=3195,
                   value="URITemplateAnnotationResolver could not find a getter for param %s")
          String couldNotFindGetterForParam​(String param)

    - #### couldNotFindMessageBodyReader

          @Message(id=3200,
                   value="Could not find message body reader for type: {0} of content type: {1}",
                   format=MESSAGE_FORMAT)
          String couldNotFindMessageBodyReader​(Type type,
                                               javax.ws.rs.core.MediaType mediaType)

    - #### couldNotFindMethod

          @Message(id=3205,
                   value="Could not find a method for: %s")
          String couldNotFindMethod​(Method method)

    - #### couldNotFindResourceForFullPath

          @Message(id=3210,
                   value="Could not find resource for full path: %s")
          String couldNotFindResourceForFullPath​(URI uri)

    - #### couldNotFindWriterForContentType

          @Message(id=3215,
                   value="could not find writer for content-type {0} type: {1}",
                   format=MESSAGE_FORMAT)
          String couldNotFindWriterForContentType​(javax.ws.rs.core.MediaType mediaType,
                                                  String className)

    - #### couldNotGetAValue

          @Message(id=3220,
                   value="URITemplateAnnotationResolver could not get a value for %s")
          String couldNotGetAValue​(String param)

    - #### couldNotIntrospectClass

          @Message(id=3225,
                   value="URITemplateAnnotationResolver could not introspect class %s")
          String couldNotIntrospectClass​(String className)

    - #### couldNotMatchUpLoggerTypeImplementation

          @Message(id=3230,
                   value="Could not match up an implementation for LoggerType: %s")
          String couldNotMatchUpLoggerTypeImplementation​(Class<?> loggerType)

    - #### couldNotProcessMethod

          @Message(id=3235,
                   value="Could not process method %s")
          String couldNotProcessMethod​(Method method)

    - #### couldNotReadType

          @Message(id=3240,
                   value="Could not read type {0} for media type {1}",
                   format=MESSAGE_FORMAT)
          String couldNotReadType​(Type type,
                                  javax.ws.rs.core.MediaType mediaType)

    - #### dateInstancesNotSupported

          @Message(id=3245,
                   value="Date instances are not supported by this class.")
          String dateInstancesNotSupported()

    - #### dateNull

          @Message(id=3250,
                   value="date is null")
          String dateNull()

    - #### dataToEncodeNull

          @Message(id=3255,
                   value="Data to encode was null.")
          String dataToEncodeNull()

    - #### dateValueNull

          @Message(id=3260,
                   value="dateValue is null")
          String dateValueNull()

    - #### destinationArrayCannotStoreThreeBytes

          @Message(id=3265,
                   value="Destination array with length {0} cannot have offset of {1} and still store three bytes.",
                   format=MESSAGE_FORMAT)
          String destinationArrayCannotStoreThreeBytes​(int len,
                                                       int off)

    - #### destinationArrayNull

          @Message(id=3270,
                   value="Destination array was null.")
          String destinationArrayNull()

    - #### emptyFieldInHeader

          @Message(id=3275,
                   value="Empty field in: %s.")
          String emptyFieldInHeader​(String header)

    - #### emptyHostName

          @Message(id=3280,
                   value="empty host name")
          String emptyHostName()

    - #### entityAlreadyRead

          @Message(id=3285,
                   value="The entity was already read, and it was of type %s")
          String entityAlreadyRead​(Class<?> clazz)

    - #### entityNotBackedByInputStream

          @Message(id=3290,
                   value="Entity is not backed by an input stream")
          String entityNotBackedByInputStream()

    - #### inputStreamWasEmpty

          @Message(id=3291,
                   value="Input stream was empty, there is no entity")
          String inputStreamWasEmpty()

    - #### streamIsClosed

          @Message(id=3292,
                   value="Stream is closed")
          String streamIsClosed()

    - #### entityNotOfUnderstoodType

          @Message(id=3295,
                   value="The object you supplied to registerInterceptor is not of an understood type")
          String entityNotOfUnderstoodType()

    - #### entityTagValueNull

          @Message(id=3300,
                   value="value of EntityTag is null")
          String entityTagValueNull()

    - #### errorInBase64Stream

          @Message(id=3305,
                   value="Error in Base64 code reading stream.")
          String errorInBase64Stream()

    - #### eTagParamNull

          @Message(id=3310,
                   value="eTag param null")
          String eTagParamNull()

    - #### excededMaximumForwards

          @Message(id=3315,
                   value="You have exceeded your maximum forwards ResteasyProviderFactory allows.  Last good uri: %s")
          String excededMaximumForwards​(String uri)

    - #### expectedExcapedCharacter

          @Message(id=3316,
                   value="Expected \'\', \'\n\', or \'\r\', got %s")
          String expectedExcapedCharacter​(int n)

    - #### expectedStreamModeGeneralOrRaw

          @Message(id=3317,
                   value="Expected Stream.MODE.GENERAL or Stream.MODE.RAW, got %s")
          String expectedStreamModeGeneralOrRaw​(Stream.MODE mode)

    - #### expectedStreamOrSseMediaType

          @Message(id=3318,
                   value="Expected @Stream or @Produces(\"text/event-stream\")")
          String expectedStreamOrSseMediaType()

    - #### expectedStringOrMediaType

          @Message(id=3319,
                   value="Expected String or MediaType, got %s")
          String expectedStringOrMediaType​(Object o)

    - #### failedProcessingArguments

          @Message(id=3320,
                   value="Failed processing arguments of %s")
          String failedProcessingArguments​(String constructor)

    - #### failedToConstruct

          @Message(id=3325,
                   value="Failed to construct %s")
          String failedToConstruct​(String constructor)

    - #### failedToCreateUri

          @Message(id=3330,
                   value="Failed to create URI: %s")
          String failedToCreateUri​(String buf)

    - #### failedToParseCookie

          @Message(id=3335,
                   value="Failed to parse cookie string \'%s\'")
          String failedToParseCookie​(String value)

    - #### failureParsingMediaType

          @Message(id=3340,
                   value="Failure parsing MediaType string: %s")
          String failureParsingMediaType​(String type)

    - #### fileTooBig

          @Message(id=3345,
                   value="File is too big for this convenience method (%s bytes).")
          String fileTooBig​(long len)

    - #### garbageAfterQuotedString

          @Message(id=3350,
                   value="Garbage after quoted string: %s")
          String garbageAfterQuotedString​(String header)

    - #### getRequestCannotHaveBody

          @Message(id=3355,
                   value="A GET request cannot have a body.")
          String getRequestCannotHaveBody()

    - #### gzipExceedsMaxSize

          @Message(id=3357,
                   value="GZIP input exceeds max size: %s")
          String gzipExceedsMaxSize​(int size)

    - #### hasNoStringConstructor

          @Message(id=3360,
                   value="%s has no String constructor")
          String hasNoStringConstructor​(String className)

    - #### illegalHexadecimalCharacter

          @Message(id=3365,
                   value="Illegal hexadecimal character {0} at index {1}",
                   format=MESSAGE_FORMAT)
          String illegalHexadecimalCharacter​(char ch,
                                             int index)

    - #### illegalResponseMediaType

          @Message(id=3370,
                   value="Illegal response media type: %s")
          String illegalResponseMediaType​(String mediaType)

    - #### illegalToInjectCookieParam

          @Message(id=3375,
                   value="It is illegal to inject a @CookieParam into a singleton")
          String illegalToInjectCookieParam()

    - #### illegalToInjectFormParam

          @Message(id=3380,
                   value="It is illegal to inject a @FormParam into a singleton")
          String illegalToInjectFormParam()

    - #### illegalToInjectHeaderParam

          @Message(id=3385,
                   value="It is illegal to inject a @HeaderParam into a singleton")
          String illegalToInjectHeaderParam()

    - #### illegalToInjectMatrixParam

          @Message(id=3390,
                   value="It is illegal to inject a @MatrixParam into a singleton")
          String illegalToInjectMatrixParam()

    - #### illegalToInjectMessageBody

          @Message(id=3395,
                   value="Illegal to inject a message body into a singleton into %s")
          String illegalToInjectMessageBody​(AccessibleObject target)

    - #### illegalToInjectNonInterfaceType

          @Message(id=3400,
                   value="Illegal to inject a non-interface type into a singleton")
          String illegalToInjectNonInterfaceType()

    - #### illegalToInjectPathParam

          @Message(id=3405,
                   value="It is illegal to inject a @PathParam into a singleton")
          String illegalToInjectPathParam()

    - #### illegalToInjectQueryParam

          @Message(id=3410,
                   value="It is illegal to inject a @QueryParam into a singleton")
          String illegalToInjectQueryParam()

    - #### illegalUriTemplate

          @Message(id=3415,
                   value="Illegal uri template: %s")
          String illegalUriTemplate​(CharSequence template)

    - #### improperlyPaddedBase64Input

          @Message(id=3420,
                   value="Improperly padded Base64 input.")
          String improperlyPaddedBase64Input()

    - #### incorrectTypeParameterClientExceptionMapper

          @Message(id=3425,
                   value="Incorrect type parameter. ClientExceptionMapper requires a subclass of java.lang.Throwable as its type parameter.")
          String incorrectTypeParameterClientExceptionMapper()

    - #### incorrectTypeParameterExceptionMapper

          @Message(id=3430,
                   value="Incorrect type parameter. ExceptionMapper requires a subclass of java.lang.Throwable as its type parameter.")
          String incorrectTypeParameterExceptionMapper()

    - #### inputStreamEmpty

          @Message(id=3435,
                   value="Input stream was empty, there is no entity")
          String inputStreamEmpty()

    - #### inputStringNull

          @Message(id=3440,
                   value="Input string was null.")
          String inputStringNull()

    - #### interceptorClassMustBeAnnotated

          @Message(id=3445,
                   value="Interceptor class must be annotated with @ServerInterceptor and/or @ClientInterceptor")
          String interceptorClassMustBeAnnotated()

    - #### interceptorClassMustBeAnnotatedWithClass

          @Message(id=3450,
                   value="Interceptor class %s must be annotated with @ServerInterceptor and/or @ClientInterceptor")
          String interceptorClassMustBeAnnotatedWithClass​(Class<?> clazz)

    - #### interceptorNullFromClass

          @Message(id=3455,
                   value="interceptor null from class: %s")
          String interceptorNullFromClass​(String className)

    - #### invalidCharacterInBase64Data

          @Message(id=3460,
                   value="Invalid character in Base64 data.")
          String invalidCharacterInBase64Data()

    - #### invalidEscapeCharacterInCookieValue

          @Message(id=3465,
                   value="Invalid escape character in cookie value.")
          String invalidEscapeCharacterInCookieValue()

    - #### invalidHost

          @Message(id=3470,
                   value="invalid host")
          String invalidHost()

    - #### invalidPort

          @Message(id=3475,
                   value="Invalid port value")
          String invalidPort()

    - #### isNotInitialRequest

          @Message(id=3480,
                   value="%s is not initial request.  Its suspended and retried.  Aborting.")
          String isNotInitialRequest​(String path)

    - #### jndiComponentResourceNotSetCorrectly

          @Message(id=3485,
                   value="JNDI Component Resource variable is not set correctly: jndi;class;true|false comma delimited")
          String jndiComponentResourceNotSetCorrectly()

    - #### keyCouldNotBeParsed

          @Message(id=3490,
                   value="The %s config in web.xml could not be parsed, accepted values are true,false or 1,0")
          String keyCouldNotBeParsed​(String key)

    - #### lastModifiedParamNull

          @Message(id=3495,
                   value="lastModified param null")
          String lastModifiedParamNull()

    - #### localeValueNull

          @Message(id=3500,
                   value="Locale value is null")
          String localeValueNull()

    - #### malformedMediaType

          @Message(id=3505,
                   value="Malformed media type: %s")
          String malformedMediaType​(String header)

    - #### malformedParameter

          @Message(id=3510,
                   value="Malformed parameter: %s")
          String malformedParameter​(String parameter)

    - #### malformedParameters

          @Message(id=3515,
                   value="Malformed parameters: %s.")
          String malformedParameters​(String header)

    - #### malformedQualityValue

          @Message(id=3520,
                   value="Malformed quality value.")
          String malformedQualityValue()

    - #### mapKeyNull

          @Message(id=3525,
                   value="map key is null")
          String mapKeyNull()

    - #### mapValueNull

          @Message(id=3530,
                   value="map value is null")
          String mapValueNull()

    - #### marshalledEntityMustHaveTypeInfo

          @Message(id=3535,
                   value="MarshalledEntity must have type information.")
          String marshalledEntityMustHaveTypeInfo()

    - #### mediaTypeQGreaterThan1

          @Message(id=3540,
                   value="MediaType q value cannot be greater than 1.0: %s")
          String mediaTypeQGreaterThan1​(String mediaType)

    - #### mediaTypeQMustBeFloat

          @Message(id=3545,
                   value="MediaType q parameter must be a float: %s")
          String mediaTypeQMustBeFloat​(javax.ws.rs.core.MediaType mediaType)

    - #### mediaTypeQWeightedLanguageMustBeFloat

          @Message(id=3550,
                   value="MediaType q parameter must be a float: %s")
          String mediaTypeQWeightedLanguageMustBeFloat​(String lang)

    - #### mediaTypeValueNull

          @Message(id=3555,
                   value="MediaType value is null")
          String mediaTypeValueNull()

    - #### methodNotAnnotatedWithPath

          @Message(id=3560,
                   value="method is not annotated with @Path")
          String methodNotAnnotatedWithPath()

    - #### methodNull

          @Message(id=3565,
                   value="method was null")
          String methodNull()

    - #### missingTypeParameter

          @Message(id=3570,
                   value="Missing type parameter.")
          String missingTypeParameter()

    - #### mustDefineConsumes

          @Message(id=3575,
                   value="You must define a @Consumes type on your client method or interface, or supply a default")
          String mustDefineConsumes()

    - #### mustSetLinkHeaderRelOrTitle

          @Message(id=3580,
                   value="You must set either LinkHeaderParam.rel() or LinkHeaderParam.title() for on {0}.{1}",
                   format=MESSAGE_FORMAT)
          String mustSetLinkHeaderRelOrTitle​(String className,
                                             String methodName)

    - #### mustSetEitherPortOrSSLPort

          @Message(id=3585,
                   value="You must set either the port or ssl port, not both")
          String mustSetEitherPortOrSSLPort()

    - #### mustSetPort

          @Message(id=3590,
                   value="You must set the port or ssl port")
          String mustSetPort()

    - #### mustUseOneHttpMethod

          @Message(id=3595,
                   value="You must use at least one, but no more than one http method annotation on: %s")
          String mustUseOneHttpMethod​(String methodName)

    - #### nameParameterNull

          @Message(id=3600,
                   value="name parameter is null")
          String nameParameterNull()

    - #### nameParamIsNull

          @Message(id=3605,
                   value="name param is null")
          String nameParamIsNull()

    - #### nameParamWasNull

          @Message(id=3610,
                   value="name param was null")
          String nameParamWasNull()

    - #### newCookieValueNull

          @Message(id=3615,
                   value="NewCookie value is null")
          String newCookieValueNull()

    - #### noContent

          @Message(id=3620,
                   value="No content")
          String noContent()

    - #### noContentContentLength0

          @Message(id=3625,
                   value="No content.  Content-Length is 0")
          String noContentContentLength0()

    - #### noLongerASupportedContextParam

          @Message(id=3630,
                   value="%s is no longer a supported context param.  See documentation for more details")
          String noLongerASupportedContextParam​(String paramName)

    - #### noMatchForAcceptHeader

          @Message(id=3635,
                   value="No match for accept header")
          String noMatchForAcceptHeader()

    - #### noOutputStreamAllowed

          @Message(id=3640,
                   value="No output stream allowed")
          String noOutputStreamAllowed()

    - #### noPublicPathAnnotatedMethod

          @Message(id=3645,
                   value="No public @Path annotated method for {0}.{1}",
                   format=MESSAGE_FORMAT)
          String noPublicPathAnnotatedMethod​(String resource,
                                             String method)

    - #### noResourceMethodFoundForHttpMethod

          @Message(id=3650,
                   value="No resource method found for %s, return 405 with Allow header")
          String noResourceMethodFoundForHttpMethod​(String httpMethod)

    - #### noResourceMethodFoundForOptions

          @Message(id=3655,
                   value="No resource method found for options, return OK with Allow header")
          String noResourceMethodFoundForOptions()

    - #### noTypeInformationForEntity

          @Message(id=3660,
                   value="No type information to extract entity with, use other getEntity() methods")
          String noTypeInformationForEntity()

    - #### notAllowedToReflectOnMethod

          @Message(id=3665,
                   value="Not allowed to reflect on method: %s")
          String notAllowedToReflectOnMethod​(String methodName)

    - #### notEnoughPathParameters

          @Message(id=3670,
                   value="You did not supply enough values to fill path parameters")
          String notEnoughPathParameters()

    - #### notValidInjectableType

          @Message(id=3675,
                   value="%s is not a valid injectable type for @Suspend")
          String notValidInjectableType​(String typeName)

    - #### nullSubresource

          @Message(id=3680,
                   value="Null subresource for path: %s.")
          String nullSubresource​(URI uri)

    - #### nullValue

          @Message(id=3685,
                   value="null value")
          String nullValue()

    - #### numberOfMatchedSegments

          @Message(id=3690,
                   value="Number of matched segments greater than actual")
          String numberOfMatchedSegments()

    - #### oddNumberOfCharacters

          @Message(id=3695,
                   value="Odd number of characters.")
          String oddNumberOfCharacters()

    - #### originNotAllowed

          @Message(id=3700,
                   value="Origin not allowed: %s")
          String originNotAllowed​(String origin)

    - #### paramNull

          @Message(id=3705,
                   value="param was null")
          String paramNull()

    - #### passedInValueNull

          @Message(id=3710,
                   value="A passed in value was null")
          String passedInValueNull()

    - #### pathNull

          @Message(id=3715,
                   value="path was null")
          String pathNull()

    - #### pathParameterNotProvided

          @Message(id=3720,
                   value="path param %s has not been provided by the parameter map")
          String pathParameterNotProvided​(String param)

    - #### patternNull

          @Message(id=3725,
                   value="pattern is null")
          String patternNull()

    - #### qValueCannotBeGreaterThan1

          @Message(id=3730,
                   value="Accept-Language q value cannot be greater than 1.0 %s")
          String qValueCannotBeGreaterThan1​(String lang)

    - #### quotedStringIsNotClosed

          @Message(id=3735,
                   value="Quoted string is not closed: %s")
          String quotedStringIsNotClosed​(String header)

    - #### relParamNull

          @Message(id=3740,
                   value="rel param was null")
          String relParamNull()

    - #### removingHeaderIllegal

          @Message(id=3745,
                   value="Removing a header is illegal for an HttpServletResponse")
          String removingHeaderIllegal()

    - #### requestMediaTypeNotUrlencoded

          @Message(id=3750,
                   value="Request media type is not application/x-www-form-urlencoded")
          String requestMediaTypeNotUrlencoded()

    - #### requestWasAlreadyExecuted

          @Message(id=3755,
                   value="Request was already executed")
          String requestWasAlreadyExecuted()

    - #### resourceNull

          @Message(id=3760,
                   value="resource was null")
          String resourceNull()

    - #### responseIsClosed

          @Message(id=3765,
                   value="Response is closed.")
          String responseIsClosed()

    - #### responseIsCommitted

          @Message(id=3770,
                   value="Response is committed, can\'t handle exception")
          String responseIsCommitted()

    - #### schemeSpecificPartNull

          @Message(id=3775,
                   value="schemeSpecificPart was null")
          String schemeSpecificPartNull()

    - #### segmentNull

          @Message(id=3780,
                   value="A segment is null")
          String segmentNull()

    - #### segmentsParameterNull

          @Message(id=3785,
                   value="segments parameter was null")
          String segmentsParameterNull()

    - #### shouldBeUnreachable

          @Message(id=3790,
                   value="Should be unreachable")
          String shouldBeUnreachable()

    - #### sourceArrayCannotProcessBytes

          @Message(id=3795,
                   value="Source array with length {0} cannot have offset of {1} and process {2} bytes.",
                   format=MESSAGE_FORMAT)
          String sourceArrayCannotProcessBytes​(int srcLen,
                                               int off,
                                               int len)

    - #### sourceArrayCannotProcessFourBytes

          @Message(id=3800,
                   value="Source array with length {0} cannot have offset of {1} and still process four bytes.",
                   format=MESSAGE_FORMAT)
          String sourceArrayCannotProcessFourBytes​(int srcLen,
                                                   int off)

    - #### sourceArrayNull

          @Message(id=3805,
                   value="Source array was null.")
          String sourceArrayNull()

    - #### streamWrappedBySignature

          @Message(id=3810,
                   value="Stream wrapped by Signature, cannot reset the stream without destroying signature")
          String streamWrappedBySignature()

    - #### subresourceHasNoJaxRsAnnotations

          @Message(id=3815,
                   value="Subresource for target class has no jax-rs annotations.: %s")
          String subresourceHasNoJaxRsAnnotations​(String className)

    - #### tClassParameterNull

          @Message(id=3820,
                   value="tClass parameter is null")
          String tClassParameterNull()

    - #### tailingGarbage

          @Message(id=3825,
                   value="Tailing garbage: %s")
          String tailingGarbage​(String header)

    - #### templateParameterNull

          @Message(id=3830,
                   value="NULL value for template parameter: %s")
          String templateParameterNull​(String param)

    - #### templateValuesParamNull

          @Message(id=3835,
                   value="templateValues param null")
          String templateValuesParamNull()

    - #### titleParamNull

          @Message(id=3840,
                   value="title param was null")
          String titleParamNull()

    - #### twoMethodsSameName

          @Message(id=3845,
                   value="there are two method named %s")
          String twoMethodsSameName​(String method)

    - #### typeParamNull

          @Message(id=3850,
                   value="type param was null")
          String typeParamNull()

    - #### unableToCreateURI

          @Message(id=3855,
                   value="Unable to create URI: %s")
          String unableToCreateURI​(String buf)

    - #### unableToDecodeQueryString

          @Message(id=3860,
                   value="Unable to decode query string")
          String unableToDecodeQueryString()

    - #### unableToDetermineBaseClass

          @Message(id=3865,
                   value="Unable to determine base class from Type")
          String unableToDetermineBaseClass()

    - #### unableToExtractParameter

          @Message(id=3870,
                   value="Unable to extract parameter from http request: %s value is \'%s\'")
          String unableToExtractParameter​(String paramSignature,
                                          String strVal)

    - #### unableToFindConstructor

          @Message(id=3875,
                   value="Unable to find a constructor that takes a String param or a valueOf() or fromString() method for {0} on {1} for basetype: {2}",
                   format=MESSAGE_FORMAT)
          String unableToFindConstructor​(String paramSignature,
                                         AccessibleObject target,
                                         String className)

    - #### unableToFindContextualData

          @Message(id=3880,
                   value="Unable to find contextual data of type: %s")
          String unableToFindContextualData​(String className)

    - #### unableToFindInjectorFactory

          @Message(id=3885,
                   value="Unable to find InjectorFactory implementation.")
          String unableToFindInjectorFactory()

    - #### unableToFindJaxRsResource

          @Message(id=3890,
                   value="Unable to find JAX-RS resource associated with path: %s.")
          String unableToFindJaxRsResource​(String path)

    - #### unableToFindPublicConstructorForClass

          @Message(id=3895,
                   value="Unable to find a public constructor for class %s")
          String unableToFindPublicConstructorForClass​(String className)

    - #### unableToFindPublicConstructorForProvider

          @Message(id=3900,
                   value="Unable to find a public constructor for provider class %s")
          String unableToFindPublicConstructorForProvider​(String className)

    - #### unableToFindTypeArguments

          @Message(id=3905,
                   value="Unable to find type arguments of %s")
          String unableToFindTypeArguments​(Class<?> clazz)

    - #### unableToInstantiateClientExceptionMapper

          @Message(id=3910,
                   value="Unable to instantiate ClientExceptionMapper")
          String unableToInstantiateClientExceptionMapper()

    - #### unableToInstantiateContextObject

          @Message(id=3915,
                   value="Unable to instantiate context object %s")
          String unableToInstantiateContextObject​(String key)

    - #### unableToInstantiateContextResolver

          @Message(id=3920,
                   value="Unable to instantiate ContextResolver")
          String unableToInstantiateContextResolver()

    - #### unableToInstantiateExceptionMapper

          @Message(id=3925,
                   value="Unable to instantiate ExceptionMapper")
          String unableToInstantiateExceptionMapper()

    - #### unableToInstantiateForm

          @Message(id=3930,
                   value="Unable to instantiate @Form class. No no-arg constructor.")
          String unableToInstantiateForm()

    - #### unableToInstantiateInjectorFactory

          @Message(id=3935,
                   value="Unable to instantiate InjectorFactory implementation.")
          String unableToInstantiateInjectorFactory()

    - #### unableToInstantiateMessageBodyReader

          @Message(id=3940,
                   value="Unable to instantiate MessageBodyReader")
          String unableToInstantiateMessageBodyReader()

    - #### unableToInstantiateMessageBodyWriter

          @Message(id=3945,
                   value="Unable to instantiate MessageBodyWriter")
          String unableToInstantiateMessageBodyWriter()

    - #### unableToParseDate

          @Message(id=3950,
                   value="Unable to parse the date %s")
          String unableToParseDate​(String dateValue)

    - #### unableToParseLinkHeaderNoEndToLink

          @Message(id=3955,
                   value="Unable to parse Link header.  No end to link: %s")
          String unableToParseLinkHeaderNoEndToLink​(String value)

    - #### unableToParseLinkHeaderNoEndToParameter

          @Message(id=3960,
                   value="Unable to parse Link header.  No end to parameter: %s")
          String unableToParseLinkHeaderNoEndToParameter​(String value)

    - #### unableToParseLinkHeaderTooManyLinks

          @Message(id=3965,
                   value="Unable to parse Link header. Too many links in declaration: %s")
          String unableToParseLinkHeaderTooManyLinks​(String value)

    - #### unableToResolveTypeVariable

          @Message(id=3970,
                   value="Unable to resolve type variable")
          String unableToResolveTypeVariable()

    - #### unableToUnmarshalResponse

          @Message(id=3975,
                   value="Unable to unmarshall response for %s")
          String unableToUnmarshalResponse​(String attributeExceptionsTo)

    - #### unexpectedNumberSubclass

          @Message(id=3977,
                   value="Unexpected Number subclass: %s")
          String unexpectedNumberSubclass​(String classname)

    - #### unknownInterceptorPrecedence

          @Message(id=3980,
                   value="Unknown interceptor precedence: %s")
          String unknownInterceptorPrecedence​(String precedence)

    - #### unknownMediaTypeResponseEntity

          @Message(id=3985,
                   value="Unknown media type for response entity")
          String unknownMediaTypeResponseEntity()

    - #### unknownPathParam

          @Message(id=3990,
                   value="Unknown @PathParam: {0} for path: {1}",
                   format=MESSAGE_FORMAT)
          String unknownPathParam​(String paramName,
                                  String path)

    - #### unknownStateListener

          @Message(id=3995,
                   value="Unknown state.  You have a Listener messing up what resteasy expects")
          String unknownStateListener()

    - #### unsupportedCollectionType

          @Message(id=4000,
                   value="Unsupported collectionType: %s")
          String unsupportedCollectionType​(Class<?> clazz)

    - #### unsupportedParameter

          @Message(id=4005,
                   value="Unsupported parameter: %s")
          String unsupportedParameter​(String parameter)

    - #### uriNull

          @Message(id=4010,
                   value="URI was null")
          String uriNull()

    - #### uriParamNull

          @Message(id=4015,
                   value="uri param was null")
          String uriParamNull()

    - #### uriTemplateParameterNull

          @Message(id=4020,
                   value="uriTemplate parameter is null")
          String uriTemplateParameterNull()

    - #### uriValueNull

          @Message(id=4025,
                   value="URI value is null")
          String uriValueNull()

    - #### userIsNotRegistered

          @Message(id=4030,
                   value="User is not registered: %s")
          String userIsNotRegistered​(String user)

    - #### valueNull

          @Message(id=4035,
                   value="A value was null")
          String valueNull()

    - #### valueParamIsNull

          @Message(id=4040,
                   value="value param is null")
          String valueParamIsNull()

    - #### valueParamWasNull

          @Message(id=4045,
                   value="value param was null")
          String valueParamWasNull()

    - #### valuesParamIsNull

          @Message(id=4050,
                   value="values param is null")
          String valuesParamIsNull()

    - #### valuesParamWasNull

          @Message(id=4055,
                   value="values param was null")
          String valuesParamWasNull()

    - #### valuesParameterNull

          @Message(id=4060,
                   value="values parameter is null")
          String valuesParameterNull()

    - #### variantListMustNotBeZero

          @Message(id=4065,
                   value="Variant list must not be zero")
          String variantListMustNotBeZero()

    - #### wrongPassword

          @Message(id=4070,
                   value="Wrong password for: %s")
          String wrongPassword​(String user)

    - #### webTargetIsNotSetForEventSource

          @Message(id=4080,
                   value="WebTarget is not set for creating SseEventSource")
          String webTargetIsNotSetForEventSource()

    - #### eventSourceIsNotReadyForOpen

          @Message(id=4081,
                   value="EventSource is not ready to open")
          String eventSourceIsNotReadyForOpen()

    - #### notFoundMBW

          @Message(id=4082,
                   value="No suitable message body writer for class : %s")
          String notFoundMBW​(String className)

    - #### asyncServletIsRequired

          @Message(id=4083,
                   value="Sever sent event feature requries HttpServlet30Dispatcher")
          String asyncServletIsRequired()

    - #### readEventException

          @Message(id=4084,
                   value="Failed to read SseEvent")
          String readEventException()

    - #### nullValueSetToCreateOutboundSseEvent

          @Message(id=4085,
                   value="%s is not set for OutboundSseEvent builder")
          String nullValueSetToCreateOutboundSseEvent​(String field)

    - #### failedToWriteDataToInboudEvent

          @Message(id=4086,
                   value="Failed to write data to InBoundSseEvent")
          String failedToWriteDataToInboudEvent()

    - #### notFoundMBR

          @Message(id=4087,
                   value="No suitable message body reader for class : %s")
          String notFoundMBR​(String className)

    - #### failedToReadData

          @Message(id=4088,
                   value="Failed to read data from InboundSseEvent")
          String failedToReadData()

    - #### failedToCreateSseEventOutput

          @Message(id=4089,
                   value="Failed to create SseEventOutput")
          String failedToCreateSseEventOutput()

    - #### unableToInstantiateAsyncResponseProvider

          @Message(id=4090,
                   value="Unable to instantiate AsyncResponseProvider")
          String unableToInstantiateAsyncResponseProvider()

    - #### unableToInstantiateAsyncStreamProvider

          @Message(id=4091,
                   value="Unable to instantiate AsyncStreamProvider")
          String unableToInstantiateAsyncStreamProvider()

    - #### sseEventSinkIsClosed

          @Message(id=4092,
                   value="SseEventSink is closed")
          String sseEventSinkIsClosed()

    - #### unableToInstantiateAsyncClientResponseProvider

          @Message(id=4095,
                   value="Unable to instantiate AsyncClientResponseProvider")
          String unableToInstantiateAsyncClientResponseProvider()

    - #### unableToInstantiateAsyncClientStreamProvider

          @Message(id=4096,
                   value="Unable to instantiate AsyncClientStreamProvider")
          String unableToInstantiateAsyncClientStreamProvider()

    - #### sseBroadcasterIsClosed

          @Message(id=4093,
                   value="SseBroadcaster is closed")
          String sseBroadcasterIsClosed()

    - #### unableToInstantiateContextInjector

          @Message(id=4094,
                   value="Unable to instantiate ContextInjector")
          String unableToInstantiateContextInjector()

    - #### registeringContextResolverAsLambda

          @Message(id=4097,
                   value="Registering a context resolver doesn\'t support lambdas")
          String registeringContextResolverAsLambda()

    - #### expectedArray

          @Message(id=4098,
                   value="MultiValuedArrayParamConverter expected array, not: %s")
          String expectedArray​(String className)

    - #### unableToParse

          @Message(id=4099,
                   value="MultiValuedCollectionParamConverter unable to parse: %s")
          String unableToParse​(String s)

    - #### multipleMethodsMatchFailFast

          @Message(id=5042,
                   value="Multiple resource methods match request %s. Matching methods: %s")
          String multipleMethodsMatchFailFast​(String request,
                                              String[] methods)

    - #### errorCreatingArray

          @Message(id=3013,
                   value="Error creating array from %s")
          String errorCreatingArray​(String s)

    - #### cannotConvertParameter

          @Message(id=5043,
                   value="Value %s cannot be converted to type %s with property name %s")
          IllegalArgumentException cannotConvertParameter​(Object value,
                                                          Class<?> type,
                                                          String name)

    - #### propertyNotFound

          @Message(id=5044,
                   value="Property %s not found")
          NoSuchElementException propertyNotFound​(String name)

    - #### executorShutdown

          @Message(id=5050,
                   value="The executor has been shutdown and is no longer available.")
          IllegalStateException executorShutdown()